package org.jeecg.modules.bytedance.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;

import java.util.List;
import java.util.Map;

/**
 * @Description: oauth授权码
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
public interface ICtopOauthTokenService extends IService<CtopOauthToken> {

    CtopOauthToken getOauthTokenByAccountId(String accountId);

    CtopOauthToken getTokenByAccountId(Long accountId);

    Map<String, Object> getByteDanceAccessToken(CtopOauthToken token);


    List<CtopOauthToken> getTokenListByType(String platformTypeBytedance);

    List<CtopOauthToken> selectToutiaoToken();

    CtopOauthToken getAccessTokenByAccountIdAndMediaId(Integer mediaId, Long accountId);

    List<CtopOauthToken> getToutiaoTokenByCreateTime(String createTime);

    List<CtopOauthToken> getByProjectId(Long projectId);

    CtopOauthToken selectOneByMediaId(String platformTypeKuaishou);
}
